Bug 254149 - java/eclipse: port to powerpc64le
Summary: java/eclipse: port to powerpc64le
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2021-03-08 23:31 UTC by Piotr Kubaj
Modified: 2021-07-16 01:33 UTC (History)
2 users (show)

See Also:
jonc: maintainer-feedback+


Attachments
patch (98.26 KB, patch)
2021-03-08 23:31 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2021-03-08 23:31:09 UTC
Created attachment 223103 [details]
patch

Everything that mentions powerpc64 needs to be copied to powerpc64le.

There are also some changes in scripts directory.
Comment 1 Jonathan Chen 2021-03-09 00:05:08 UTC
I'm approving the patch. However, I don't have a power64 rig to test out the build personally.
Comment 2 Piotr Kubaj freebsd_committer 2021-03-09 00:14:01 UTC
Thanks!
Comment 3 commit-hook freebsd_committer 2021-03-09 00:14:46 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Mar  9 00:13:58 UTC 2021
New revision: 567877
URL: https://svnweb.freebsd.org/changeset/ports/567877

Log:
  java/eclipse: port to powerpc64le

  PR:		254149
  Approved by:	jonc@chen.org.nz (maintainer)

Changes:
  head/java/eclipse/files/patch-eclipse-platform-parent
  head/java/eclipse/files/patch-eclipse.pde.ui
  head/java/eclipse/files/patch-eclipse.platform.releng
  head/java/eclipse/files/patch-eclipse.platform.releng.tychoeclipsebuilder
  head/java/eclipse/files/patch-eclipse.platform.resources
  head/java/eclipse/files/patch-eclipse.platform.swt
  head/java/eclipse/files/patch-eclipse.platform.swt.binaries
  head/java/eclipse/files/patch-eclipse.platform.ui
  head/java/eclipse/files/patch-rt.equinox.framework
  head/java/eclipse/scripts/pre-build
  head/java/eclipse/scripts/pre-patch
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-16 01:32:39 UTC
^Triage: Assign to committer that resolved